為何沒法升級我的 ubuntu [論壇 - Ubuntu 哈啦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

« 1 (2)


回覆: 為何沒法升級我的 ubuntu
會員五級
註冊日期:
2008/11/21 9:18
所屬群組:
已註冊使用者
等級: 23
HP : 0 / 571
MP : 229 / 21148
EXP: 84
離線
十分感謝
按照指示,只要執行
sudo apt-get remove libpam-smbpass
這行指令就ok了

再次感謝

2015/1/3 22:50
應用擴展 工具箱
回覆: 為何沒法升級我的 ubuntu
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 35
HP : 172 / 861
MP : 598 / 23292
EXP: 45
離線

剛剛在測試環境「Ubuntu 14.04 LTS 32位元」測試,無法重現你遇到的問題。


更正一下,上面這一句。

我剛重新啟動「測試環境」。

只要執行「sudo」。

第一次問密碼的時候,

輸入完密碼後,

就會出現


no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory



看來「Version 4.1.6-Ubuntu」還沒解決這個bug。

這一頁」,提到有解決的是「samba-4.1.10」。

歹勢...




samwhelp 寫到:
Marco 寫到:
samwhelp 寫到:
$ apt-cache rdepends libpam-smbpass --recurse | less
$ apt-cache rdepends libpam-smbpass --recurse | grep cheese
$ man apt-cache
$ lynx http://learninginfree.blogspot.tw/2014/05/ubuntu-sudo-talloc-stackframe-at.html


感謝指引,但功力太淺,不知如何解決問題。


請參考「這一篇」提供的步驟來解決。

基本上我沒在用「Samba」,所以我也沒遇到過這個問題。

剛剛在測試環境「Ubuntu 14.04 LTS 32位元」測試,無法重現你遇到的問題。

$ sudo apt-get install libpam-smbpass

$ sudo apt-get install samba

$ sudo whoami

$ sudo ls

並不會出現

no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
Ignoring unknown parameter "mangle case"


個人猜想,新版應該是有把這個bug解決了吧。

$ samba -V


Version 4.1.6-Ubuntu



$ apt-cache policy samba


samba:
Installed: 2:4.1.6+dfsg-1ubuntu2.14.04.3
Candidate: 2:4.1.6+dfsg-1ubuntu2.14.04.3
Version table:
*** 2:4.1.6+dfsg-1ubuntu2.14.04.3 0
500 http://tw.archive.ubuntu.com/ubuntu/ trusty-updates/main i386 Packages
500 http://security.ubuntu.com/ubuntu/ trusty-security/main i386 Packages
100 /var/lib/dpkg/status
2:4.1.6+dfsg-1ubuntu2 0
500 http://tw.archive.ubuntu.com/ubuntu/ trusty/main i386 Packages




## 觀看changelog(下面兩個應該看到都是一樣的),並沒有看到相關的紀錄。

$ apt-get changelog libpam-smbpass
$ apt-get changelog samba

然後在「這一頁」的「Comment 54」。

有提到「一頁」有紀錄。


* BUG 8449: Simple use case results in "no talloc stackframe around, leaking
memory" error.)


## 更多參考

* https://lists.ubuntu.com/archives/foundations-bugs/2014-September/207845.html
* https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=728666


2015/1/4 19:14
應用擴展 工具箱
回覆: 為何沒法升級我的 ubuntu
管理員
註冊日期:
2011/3/11 6:32
所屬群組:
討論區管理群
等級: 44
HP : 216 / 1084
MP : 1088 / 32870
EXP: 38
離線
那應該是無傷大雅的程式缺陷,直接等修正釋出就好了

2015/1/4 21:37
本篇發表文章以「創用CC BY 3.0 或更新之台灣地區版本」授權條款釋出,如何使用敬請參考
 Creative Commons — 姓名標示 3.0 台灣 — CC BY 3.0 TW
 http://creativecommons.org/licenses/by/3.0/tw/

「你不懂的東西就不要亂講,被懂得人看破手腳就算了,騙不懂的人誤導別人,還要別人把你當成大師,這就真的是說不過去了。」
 by Allen Own
 出處 http://www.plurk.com/p/i4uogm

自由知識創作平台介紹
 https://docs.google.com/document/d/1MGG6lW_0qCgH4U785R-IwSc_INdoBGej1l-JxiA4gPE
如何建立新的自由知識創作平台文件
 https://docs.google.com/document/d/11NdzOW2lGYksfyQIcPMPye5tlmj1J0QTkgPTmQvIvKA
應用擴展 工具箱
回覆: 為何沒法升級我的 ubuntu
會員四級
註冊日期:
2010/12/22 12:40
所屬群組:
已註冊使用者
等級: 19
HP : 0 / 466
MP : 149 / 14429
EXP: 65
離線
Marco 寫到:
按照指示,只要執行
sudo apt-get remove libpam-smbpass
這行指令就ok了


之前也是移除 libpam-smbpass 來解決的
但是隨著不同的設備慢慢的升級上來
腦子記不住這個名稱
後來看到另一個解法 對我來說比較好記
日後修正之後要回復這個設定比較方便

sudo pam-auth-update
將SMB password synchronization這個選項取消勾選

2015/1/5 14:46
應用擴展 工具箱

« 1 (2)

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.